
ChiliProject - Bug # 200: After moving an issue, revision list does not get updated 

Status: Open Priority: Low
Author: Ivan Cenov Category: SCM
Created: 2011-02-18 Assignee:
Updated: 2011-02-20 Due date:
Remote issue URL:
Affected version:
Description: I think I found a bug or some omission (in Redmine 1.1.1):

How to reproduce it:

   1. Create an issue #nnn in project PA.
   2. Associate an Subversion repository to project PB.
   3. Commit an revision in this repository and add 'resolved' string in the message with number #nnn. The 
revision will not appear in the issue #nnn, because it belongs to another project (PA instead of PB).
   4. Move the issue to project PB.
   5. You may expect that the revision has appeared in the issue #nnn, but it hasn't. <<< This is what I call a 
bug or an omission.
   6. Remove the repository, associated to project PB.
   7. Assign the same repository to project PB.
   8. Fetch revisions.
   9. Take a look at the issue #nnn. The omitted revision is there.

The last two steps resolve the problem, so I think it is now serious one thus I set the priority of the issue to 
'Low'.

History
2011-02-18 08:11 am - Ivan Cenov
I posted the same isuue in Redmine: http://www.redmine.org/issues/7649

2011-02-18 09:40 am - Felix Schäfer
I think it's because revisions are associated on changeset fetch, and if the issue isn't in the same project, no association is created.

2011-02-18 11:32 am - Ivan Cenov
I think so too. If this is considered bad behavior I suppose that the solution could be in the procedure that moves issues. It could take a look at recorded 
(already fetched) changesets and update ... something (that I don't know what it is, because I am not Ruby / Rails / Redmine programmer).

P.S. I saw that I had written "The last two steps...". This should be read as "The last four steps...".

2011-02-19 01:37 am - Eric Davis
- Subject changed from After copying an issue, revision list does not get updated  to After moving an issue, revision list does not get updated 

2011-02-20 05:20 pm - Felix Schäfer
I think a better approach to the changeset-issue links would be to add them all to the DB no matter what an choose which to show based on 
preferences.
